﻿namespace HelloDotnet6Mobile;

using LaunchDarkly.Sdk;
using LaunchDarkly.Sdk.Client;

public partial class MainPage : ContentPage
{
	LdClient client;
	int count = 0;

	public MainPage()
	{
		InitializeComponent();

		String mobileKey = "mob-a25892cc-24ba-4196-b468-b6db2be4aba9";
		Configuration config = Configuration.Builder(mobileKey).Build();
		User user = User.WithKey("user-key");
		client = LdClient.Init(config, user, TimeSpan.FromSeconds(5));
	}

	private void OnEvaluateClicked(object sender, EventArgs e)
	{
		LdValue result = client.JsonVariation("flag1", LdValue.Null);
		ResultLabel.Text = result.ToJsonString();
	}
}


